summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pyquery/pyquery-1.2.9-r1.ebuild')
-rw-r--r--dev-python/pyquery/pyquery-1.2.9-r1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/pyquery/pyquery-1.2.9-r1.ebuild b/dev-python/pyquery/pyquery-1.2.9-r1.ebuild
new file mode 100644
index 00000000000..1344a4c7380
--- /dev/null
+++ b/dev-python/pyquery/pyquery-1.2.9-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="A jQuery-like library for python"
+HOMEPAGE="https://github.com/gawel/pyquery"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="beautifulsoup3 test"
+
+RDEPEND=">=dev-python/lxml-2.1[beautifulsoup3?,${PYTHON_USEDEP}]
+ >dev-python/cssselect-0.7.9[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.1.9[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ app-arch/unzip
+ test? ( ${RDEPEND}
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/webtest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/restkit[${PYTHON_USEDEP}]' 'python2_7') )"
+
+REQUIRED_USE="test? ( beautifulsoup3 )"
+
+python_test() {
+ # The suite, it appears, requires this hard setting of PYTHONPATH!
+ PYTHONPATH=. nosetests || die "Tests fail with ${EPYTHON}"
+}